Skip to main content
GET
/
api
/
v2
/
usage
/
experimentation-keys
Get experimentation keys usage
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/usage/experimentation-keys \
  --header 'Authorization: <api-key>'
{
  "_links": {},
  "metadata": [
    {}
  ],
  "series": [
    {
      "0": 11,
      "1": 15,
      "time": 1677888000000
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

from
string<string>

The series of data returned starts from this timestamp (Unix milliseconds). Defaults to the beginning of the current month.

to
string<string>

The series of data returned ends at this timestamp (Unix milliseconds). Defaults to the current time.

projectKey
string<string>

A project key to filter results by. Can be specified multiple times, one query parameter per project key.

environmentKey
string<string>

An environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.

experimentId
string<string>

An experiment ID to filter results by. Can be specified multiple times, one query parameter per experiment ID.

groupBy
string<string>

If specified, returns data for each distinct value of the given field. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.
Valid values: projectId, environmentId, experimentId.

aggregationType
string<string>

Specifies the aggregation method. Defaults to month_to_date.
Valid values: month_to_date, incremental.

granularity
string<string>

Specifies the data granularity. Defaults to daily. monthly granularity is only supported with the month_to_date aggregation type.
Valid values: daily, hourly, monthly.

Response

Usage response

The location and content type of related resources

metadata
object[]
required

Metadata about each series

series
object[]
required

An array of data points with timestamps. Each element of the array is an object with a 'time' field, whose value is the timestamp, and one or more key fields. If there are multiple key fields, they are labeled '0', '1', and so on, and are explained in the metadata.

Example:
[{ "0": 11, "1": 15, "time": 1677888000000 }]